Bug 478092 - MIGRATED_FROM_JIRA: Expression (from examples) in mapping is failing
MIGRATED_FROM_JIRA: Expression (from examples) in mapping is failing
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:58 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:58:31 EST
I took the mappings from the website and modified it to match my environment.  When I try to access the data from an LDAP browser, I get this error:

[18/10/2005 16:59:18] Sourced file: inline evaluation of: ``u.first_name;'' : Class or variable not found: u.first_name
Sourced file: inline evaluation of: ``u.first_name;'' : Class or variable not found: u.first_name :
at Line: 1 : in file: inline evaluation of: ``u.first_name;'' : u .first_name

        at bsh.UtilEvalError.toEvalError(Unknown Source)
        at bsh.UtilEvalError.toEvalError(Unknown Source)
        at bsh.BSHAmbiguousName.toObject(Unknown Source)
        at bsh.BSHAmbiguousName.toObject(Unknown Source)
        at bsh.BSHPrimaryExpression.eval(Unknown Source)
        at bsh.BSHPrimaryExpression.eval(Unknown Source)
        at bsh.Interpreter.eval(Unknown Source)
        at bsh.Interpreter.eval(Unknown Source)
        at bsh.Interpreter.eval(Unknown Source)
        at org.safehaus.penrose.interpreter.DefaultInterpreter.eval(DefaultInterpreter.java:81)
        at org.safehaus.penrose.interpreter.Interpreter.eval(Interpreter.java:76)
        at org.safehaus.penrose.mapping.EntryDefinition.getAttributeValues(EntryDefinition.java:334)

        at org.safehaus.penrose.handler.SearchHandler.find(SearchHandler.java:73)
        at org.safehaus.penrose.handler.SearchHandler.performSearch(SearchHandler.java:351)
        at org.safehaus.penrose.handler.SearchHandler.search(SearchHandler.java:282)
        at org.safehaus.penrose.handler.Handler$1.run(Handler.java:116)
        at org.safehaus.penrose.thread.ThreadPoolWorker.runIt(ThreadPoolWorker.java:97)
        at org.safehaus.penrose.thread.ThreadPoolWorker.runWork(ThreadPoolWorker.java:88)
        at org.safehaus.penrose.thread.ThreadPoolWorker.access$0(ThreadPoolWorker.java:27)
        at org.safehaus.penrose.thread.ThreadPoolWorker$1.run(ThreadPoolWorker.java:51)
        at java.lang.Thread.run(Thread.java:595)
Additional Comments From jason dated Tue Oct 18 17:09:43 CDT 2005 
Attaching files for yingyang

Additional Comments From jason dated Wed Nov 02 09:57:10 CST 2005 
Has anyone had a chance to look at this issue for me?  This is a show stopper for us. :|

Additional Comments From endisd dated Mon Jan 30 13:32:58 CST 2006 
The format of the configuration files has been changed in 0.9.8. Please use the latest build and refer to the following docs:

http://docs.safehaus.org/display/PENROSE/Penrose+0.9.8+Connections
http://docs.safehaus.org/display/PENROSE/Penrose+0.9.8+Sources
http://docs.safehaus.org/display/PENROSE/Penrose+0.9.8+Entry+Mappings

If the problem is still happening, please feel free to reopen the issue.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'attachmentNames' => 'mapping.xml',
          'key' => 'PENROSE-103',
          'assignee' => 'endisd',
          'summary' => 'Expression (from examples) in mapping is failing',
          'id' => '10300',
          'updated' => '2006-01-30 13:32:58.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-01-24 00:00:00.0',
                             'sequence' => '9',
                             'name' => 'Penrose-0.9.9',
                             'released' => 'true',
                             'id' => '10040',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-10-17 00:00:00.0',
                                 'sequence' => '7',
                                 'name' => 'Penrose-0.9.7',
                                 'released' => 'true',
                                 'id' => '10033',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'I took the mappings from the website and modified it to match my environment.  When I try to access the data from an LDAP browser, I get this error:

[18/10/2005 16:59:18] Sourced file: inline evaluation of: ``u.first_name;'' : Class or variable not found: u.first_name
Sourced file: inline evaluation of: ``u.first_name;'' : Class or variable not found: u.first_name :
at Line: 1 : in file: inline evaluation of: ``u.first_name;'' : u .first_name

        at bsh.UtilEvalError.toEvalError(Unknown Source)
        at bsh.UtilEvalError.toEvalError(Unknown Source)
        at bsh.BSHAmbiguousName.toObject(Unknown Source)
        at bsh.BSHAmbiguousName.toObject(Unknown Source)
        at bsh.BSHPrimaryExpression.eval(Unknown Source)
        at bsh.BSHPrimaryExpression.eval(Unknown Source)
        at bsh.Interpreter.eval(Unknown Source)
        at bsh.Interpreter.eval(Unknown Source)
        at bsh.Interpreter.eval(Unknown Source)
        at org.safehaus.penrose.interpreter.DefaultInterpreter.eval(DefaultInterpreter.java:81)
        at org.safehaus.penrose.interpreter.Interpreter.eval(Interpreter.java:76)
        at org.safehaus.penrose.mapping.EntryDefinition.getAttributeValues(EntryDefinition.java:334)

        at org.safehaus.penrose.handler.SearchHandler.find(SearchHandler.java:73)
        at org.safehaus.penrose.handler.SearchHandler.performSearch(SearchHandler.java:351)
        at org.safehaus.penrose.handler.SearchHandler.search(SearchHandler.java:282)
        at org.safehaus.penrose.handler.Handler$1.run(Handler.java:116)
        at org.safehaus.penrose.thread.ThreadPoolWorker.runIt(ThreadPoolWorker.java:97)
        at org.safehaus.penrose.thread.ThreadPoolWorker.runWork(ThreadPoolWorker.java:88)
        at org.safehaus.penrose.thread.ThreadPoolWorker.access$0(ThreadPoolWorker.java:27)
        at org.safehaus.penrose.thread.ThreadPoolWorker$1.run(ThreadPoolWorker.java:51)
        at java.lang.Thread.run(Thread.java:595)',
          'created' => '2005-10-18 17:04:30.0',
          'resolution' => '2',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:58:33 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-103

Note You need to log in before you can comment on or make changes to this bug.